Wallet Infrastructure
Wallet Infrastructure
Transactions

Submit batch signatures

POST
/v1/userops/signatures

Requires scope transactions:create.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Request Body

application/json
  1. body
signatures*array<>
Items1 <= items <= 16

Response Body

200

Per-userOp submission results

401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X POST 'https://api.pilot.shiga.io/v1/userops/signatures' \  -H 'Authorization: Bearer sk_test_...' \  -H 'Content-Type: application/json' \  -d '{  "signatures": [    {      "userOpHash": "string",      "passkeyPublicKey": {        "x": "string",        "y": "string"      },      "passkeyData": {        "credential": {          "property1": null,          "property2": null        },        "expectedChallenge": "string",        "expectedOrigins": [          "string"        ],        "expectedRPID": "string",        "authenticator": {          "credentialId": "string",          "credentialPublicKey": "string",          "counter": 0        }      }    }  ]}'
Example Response
Empty